Debian Bug report logs - #689617
diffutils: autoconf update for arm64 building

version graph

Package: diffutils; Maintainer for diffutils is Santiago Vila <sanvila@debian.org>; Source for diffutils is src:diffutils.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 4 Oct 2012 15:03:05 UTC

Severity: wishlist

Tags: patch, upstream

Found in version 1:3.2

Fixed in version diffutils/1:3.2-7

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, meyering@redhat.com, eggert@cs.ucla.edu, Santiago Vila <sanvila@debian.org>:
Bug#689617; Package diffutils. (Thu, 04 Oct 2012 15:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to meyering@redhat.com, eggert@cs.ucla.edu, Santiago Vila <sanvila@debian.org>. (Thu, 04 Oct 2012 15:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: diffutils: autoconf update for arm64 building
Date: Thu, 04 Oct 2012 15:58:36 +0100
[Message part 1 (text/plain, inline)]
Package: diffutils
Version: 1:3.2
Severity: wishlist
Tags: upstream patch

This package needs autoconf updates (to config.guess and config.sub)
to build for 64-bit arm. The arm64 port is stalled until this package
is updated.
                                                                                                                                                         
Support for aarch64 has been added to autotools config.guess and
config.sub in autotools 20120210.1

For upstream running autoreconf against autotools-dev 20120210.1 or
later will fix the autoconf part.

For the Debian package, if you wanted to keep this up to date
automatically in the future (generally a good idea) then adding
something like this to your distclean target would be effective: -test
-r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub
config.sub -test -r /usr/share/misc/config.guess && cp -f
/usr/share/misc/config.guess config.guess (You could instead just make
those files links.) along with a build-dependency on autotools-dev
 
Please pass this bug report to upstream (I hope I have CC:ed the right
people in this report)

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages diffutils depends on:
ii  libc6                         2.11.3-4   Embedded GNU C Library: Shared lib

diffutils recommends no packages.

Versions of packages diffutils suggests:
pn  diffutils-doc                 <none>     (no description available)
ii  wdiff                         0.6.3-1    Compares two files word by word

-- no debconf information
[diffutils-3.2-autoconfupdate.patch (text/x-diff, attachment)]

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Thu, 04 Oct 2012 16:36:34 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Thu, 04 Oct 2012 16:36:34 GMT) Full text and rfc822 format available.

Message #10 received at 689617-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 689617-close@bugs.debian.org
Subject: Bug#689617: fixed in diffutils 1:3.2-7
Date: Thu, 04 Oct 2012 16:32:29 +0000
Source: diffutils
Source-Version: 1:3.2-7

We believe that the bug you reported is fixed in the latest version of
diffutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689617@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated diffutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 04 Oct 2012 18:12:38 +0200
Source: diffutils
Binary: diffutils diffutils-doc
Architecture: source amd64 all
Version: 1:3.2-7
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 diffutils  - File comparison utilities
 diffutils-doc - Documentation for GNU diffutils in HTML format
Closes: 688965 689617
Changes: 
 diffutils (1:3.2-7) unstable; urgency=low
 .
   * Updated config.guess and config.sub for arm64. Closes: #688965, #689617.
Checksums-Sha1: 
 ec68e6e5d25779214fbf0d86447d0c4823de1864 1439 diffutils_3.2-7.dsc
 5243664858436dd9c9e23e648e932ca83cc2f1e0 11318 diffutils_3.2-7.debian.tar.gz
 65acf7778a9935952b7d0cac304243e8d3d369e7 366486 diffutils_3.2-7_amd64.deb
 0a25f33ef4297caae7f84c8883ce39f19b833080 116270 diffutils-doc_3.2-7_all.deb
Checksums-Sha256: 
 9f041980457bf311048eb4483d39927be75e1cb8e81c3c9b2ed05d0edb6d156d 1439 diffutils_3.2-7.dsc
 c0a21f1dfbae463aeb585bc7f097658a70f794ff6a1de9965ce94d368489155a 11318 diffutils_3.2-7.debian.tar.gz
 7752b90029d749a01f5e7ae5c34c494d98f8d6493f495431df578eab7eb3d2ce 366486 diffutils_3.2-7_amd64.deb
 0f8f10ef04078d5e6d3aa310fdbd456a35b83b8fd3496d4527219c20e82782e5 116270 diffutils-doc_3.2-7_all.deb
Files: 
 3fbcd437327070e67539533441f009a6 1439 utils required diffutils_3.2-7.dsc
 62958ad5c1f2bdec1e6c1e0ffc9d0539 11318 utils required diffutils_3.2-7.debian.tar.gz
 5396c38cbbf5a86c78a0d9a99f87b4a8 366486 utils required diffutils_3.2-7_amd64.deb
 d9f84efcb6f7583caab61ba38d8b3fd5 116270 doc optional diffutils-doc_3.2-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQbbdEAAoJEEHOfwufG4syqYMH/R9O+ZAXN1wqLdzGBD2oGjGu
7wgFJRLaAIVkeriV6Zh+o075chuZhcrqObhwBKZvRCvC99dWSjKaO2AS4H0958Eu
nUU69AkYg7jvXghf3CzkUelBIaoB/EZIMDPEGQCcwruWugdu7dMA18WNyhdj4QZe
qJ1D9PT9+QP4CQ9hsEUcIppBAeJLWifqyNi3RiSEGjXfHQeO7HfFBVmx+XT103aM
TcNiIP2ZqFJIfiyqlKHpietDxD4r+vQhpu95HJZin5cUhPU/22uDJcLkFGHlVWZ7
0Hpcoe6Y26aEcMhdX7R8fb/f5DxK71zV7DWQ2YXt/0UtkSl1d8qjJb3uJ4LGN3E=
=pR4u
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Nov 2012 07:25:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:50:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.